#include "widget.h"
#include "ui_widget.h"

Widget::Widget(QWidget *parent) :
        QWidget(parent),
        ui(new Ui::Widget)
{
    ui->setupUi(this);

    _vplayer = qFindChild<Phonon::VideoPlayer*>(this, "videoPlayer");
    _vslider = qFindChild<Phonon::VolumeSlider*>(this, "volumeSlider");
    _sslider = qFindChild<Phonon::SeekSlider*>(this, "seekSlider");

    _aoutput = _vplayer->audioOutput();
    _mobject = _vplayer->mediaObject();
    _vslider->setAudioOutput(_aoutput);
    _sslider->setMediaObject(_mobject);

    QPushButton *fullScreen = qFindChild<QPushButton*>(this, "fs");
    QPushButton *_openButton = qFindChild<QPushButton*>(this, "open");

    played = qFindChild<QLabel*>(this, "played");
    total = qFindChild<QLabel*>(this, "total");
    total->setText(QString().setNum(_mobject->totalTime()));

    connect(fullScreen, SIGNAL(clicked()), _vplayer, SLOT(showFullScreen()));
    connect(_openButton, SIGNAL(clicked()), this, SLOT(loadFile()));
    connect(_mobject, SIGNAL(tick(qint64)), this, SLOT(updateTime()));
}

Widget::~Widget()
{
    delete ui;
}

void Widget::loadFile()
{
    QString path = QFileDialog::getOpenFileName(this);
    Phonon::MediaSource msource(path);
    msource.setAutoDelete(true);
    _vplayer->load(msource);
    total->setText(QString().setNum(_mobject->totalTime()));
}

void Widget::updateTime()
{
    played->setText(QString().setNum(_mobject->currentTime()));
}
